package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络对象 b_net
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public class BNet extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 商户id
     */
    private Long shanghuId;

    /**
     * 网络名称
     */
    @Excel(name = "网络名称")
    private String netName;

    /**
     * wifi名称
     */
    @Excel(name = "wifi名称")
    private String wifiName;

    /**
     * wifi密码
     */
    @Excel(name = "wifi密码")
    private String wifiPass;

    public BNet() {
    }

    public BNet(Long id, Long shanghuId, String netName, String wifiName, String wifiPass) {
        this.id = id;
        this.shanghuId = shanghuId;
        this.netName = netName;
        this.wifiName = wifiName;
        this.wifiPass = wifiPass;
    }

    @Override
    public String toString() {
        return "BNet{" +
                "id=" + id +
                ", shanghuId=" + shanghuId +
                ", netName='" + netName + '\'' +
                ", wifiName='" + wifiName + '\'' +
                ", wifiPass='" + wifiPass + '\'' +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShanghuId() {
        return shanghuId;
    }

    public void setShanghuId(Long shanghuId) {
        this.shanghuId = shanghuId;
    }

    public String getNetName() {
        return netName;
    }

    public void setNetName(String netName) {
        this.netName = netName;
    }

    public String getWifiName() {
        return wifiName;
    }

    public void setWifiName(String wifiName) {
        this.wifiName = wifiName;
    }

    public String getWifiPass() {
        return wifiPass;
    }

    public void setWifiPass(String wifiPass) {
        this.wifiPass = wifiPass;
    }
}
