package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 连网历史对象 b_net_history
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public class BNetHistory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 商户id
     */
    private Long shanghuId;

    /**
     * 是否连接成功
     */
    @Excel(name = "是否连接成功")
    private Long isTrue;

    /**
     * 网络id
     */
    @Excel(name = "网络id")
    private Long netId;

    /**
     * 网络名称
     */
    @Excel(name = "网络名称")
    private String netName;

    /**
     * wifi名称
     */
    @Excel(name = "wifi名称")
    private String wifiName;

    /**
     * wifi密码
     */
    @Excel(name = "wifi密码")
    private String wifiPass;


    public BNetHistory() {
    }

    public BNetHistory(Long id, Long shanghuId, Long isTrue, Long netId, String netName, String wifiName, String wifiPass) {
        this.id = id;
        this.shanghuId = shanghuId;
        this.isTrue = isTrue;
        this.netId = netId;
        this.netName = netName;
        this.wifiName = wifiName;
        this.wifiPass = wifiPass;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getIsTrue() {
        return isTrue;
    }

    public void setIsTrue(Long isTrue) {
        this.isTrue = isTrue;
    }

    public Long getNetId() {
        return netId;
    }

    public void setNetId(Long netId) {
        this.netId = netId;
    }

    public String getNetName() {
        return netName;
    }

    public void setNetName(String netName) {
        this.netName = netName;
    }

    public String getWifiName() {
        return wifiName;
    }

    public void setWifiName(String wifiName) {
        this.wifiName = wifiName;
    }

    public String getWifiPass() {
        return wifiPass;
    }

    public void setWifiPass(String wifiPass) {
        this.wifiPass = wifiPass;
    }

    @Override
    public String toString() {
        return "BNetHistory{" + "id=" + id + ", shanghuId=" + shanghuId + ", isTrue=" + isTrue + ", netId=" + netId + ", netName='" + netName + '\'' + ", wifiName='" + wifiName + '\'' + ", wifiPass='" + wifiPass + '\'' + '}';
    }

    public Long getShanghuId() {
        return shanghuId;
    }

    public void setShanghuId(Long shanghuId) {
        this.shanghuId = shanghuId;
    }
}
